# Class PushActionCategory

java.lang.Object
com.codename1.push.PushActionCategory

public class PushActionCategory extends java.lang.Object

Encapsulates a category for push notifications. If a push notification specifies a category, and the app's main class implements `PushActionsProvider`, then the push notification will provide a set of buttons to select among the actions available for that category. If the user selects an action in the push notification, their choice will be made available inside the `PushCallback#push(java.lang.String)` method via the `PushContent#getActionId()` method.

Applications that wish to support actions must implement `PushActionsProvider` in its main class. The `PushActionsProvider#getPushActionCategories()` implementation defines all of the categories that are available for push notifications.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PushActionCategory(String id, PushAction... actions)`
  Creates a category with the specified actions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PushAction[]`
  `getActions()`
  Gets the actions in this category.
  `static PushAction[]`
  `getAllActions(PushActionCategory... categories)`
  Convenience method to return all of the actions in the provided categories.
  `String`
  `getId()`
  Gets the ID of the category.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PushActionCategory

    public PushActionCategory(String id, PushAction... actions)

    Creates a category with the specified actions.

    ###### Parameters

    - `id`: The ID of the category. Should correspond with the "category" of a push notification.

    - `actions`: The actions that are available for this category.

- ## Method Details

  - ### getAllActions

    public static PushAction[] getAllActions(PushActionCategory... categories)

    Convenience method to return all of the actions in the provided categories.

    ###### Parameters

    - `categories`: The categories from which to get actions.

    ###### Returns

    List of actions in all of the provided categories.

  - ### getActions

    public PushAction[] getActions()
    Gets the actions in this category. These actions will be manifested as buttons in push notifications directed at this category.

  - ### getId

    public String getId()

    Gets the ID of the category. This corresponds with the category of a push notification.

    ###### Returns

    the id

    ###### See also

    - PushContent#getCategory()